    /* top-header */
    
    .top-header {
        background-color: rgb(57, 10, 133);
        width: 100%;
        height: 10%;
        margin-top: -0.6rem;
        margin-left: -0.5rem;
        display: flex;
        justify-content: center;
    }
    
    .header-title {
        font: 2rem sans-serif;
        color: white;
        margin-top: 1rem;
        font-weight: 100;
    }
    /* sidebar */
    
    .chat-box {
        display: grid;
        grid-template-columns: 20% 80%;
        grid-template-rows: auto;
        margin-left: -0.4rem;
        width: 100%;
        height: 90%;
        border-bottom: 2px solid;
        display: flex;
        margin-top: 0.2rem;
    }
    
    .create-channel {
        grid-column: 1/2;
        background-color: rgb(6, 16, 112);
        color: white;
        overflow-y: scroll;
        font-family: sans-serif;
        font-size: 0.8rem;
    }
    
    .channel-input {
        padding: 6px;
        width: 100%;
        margin-bottom: 1%;
        border-radius: 1px;
    }
    
    .channel-button {
        padding: 4px;
        border-radius: 4px;
        height: 1.5rem;
    }
    
    .hover-button:hover {
        background-color: rgb(6, 16, 112);
        color: white;
        font-weight: 700;
        font: sans-serif;
    }
    
    .display-name {
        grid-column: 1/2;
        color: black;
    }
    
    .display {
        color: white;
        text-decoration: none;
        margin-left: 0.5rem;
    }
    
    .message-box {
        display: grid;
        grid-template-columns: 100%;
        grid-template-rows: 90% 10%;
        width: 100%;
        height: 85%;
        overflow-y: scroll;
        margin-left: 3rem;
    }
    
    .displayMessage {
        grid-row: 1/2;
        font-size: 22px;
        font-weight: 400;
        color: rgb(37, 45, 61);
        margin-top: 2rem;
    }
    
    .send-message-box {
        grid-row: 2/3;
        position: fixed;
        display: flex;
        justify-content: center;
        bottom: 1rem;
    }
    
    .write-message {
        width: 70vw;
        height: 3rem;
        border: 1px groove grey;
        /* margin-left: 0vw; */
        background-color: white;
        border-radius: 5px;
    }
    
    .send-button {
        background-color: rgb(6, 16, 112);
        border-radius: 5px;
        color: white;
        width: 10%;
    }
    
    #getMessage {
        width: 100%;
        height: 100%;
    }
    
    .userMessage {
        border-left: 1px groove;
        /* height: auto; */
        border-top: 1px groove;
        font-family: sans-serif;
    }
    /* -------------------Username-CSS---------------- */
    
    .container {
        background-color: rgb(250, 230, 49);
        /* background: #fcda2e; */
        font-family: "Roboto", sans-serif;
        display: grid;
        grid-template-columns: 100%;
        grid-template-rows: 10% 30% 20% 40%;
    }
    
    .username-form {
        padding: 50px;
    }
    
    .welcome-title {
        font-size: 42px;
        font-family: 'pacifico', sans-serif;
        /* margin: 0 0 50px; */
        text-align: center;
    }
    
    .form-group {
        margin-bottom: 20px;
        margin-left: 23.6rem;
    }
    
    #username-input {
        min-height: 38px;
        border-radius: 2px;
        border-color: rgb(253, 249, 5);
        margin: 3px auto;
        width: 16rem;
    }
    
    #username-input:focus {
        border-color: rgb(224, 224, 10);
        box-shadow: 0 0 8px rgb(235, 168, 43);
    }
    
    #send-username {
        min-height: 38px;
        border-radius: 2px;
        min-width: 10rem;
        color: #fcda2e;
        background-color: black;
        border: none;
        margin-left: 31.5rem;
    }
    
    #send-username:hover {
        color: white;
    }
    
    .header-title {
        background-color: rgb(57, 10, 133);
        width: 100%;
        height: 15%;
        margin-top: -0.rem;
        display: flex;
        justify-content: center;
    }
    
    #currentChannel {
        position: fixed;
        background-color: rgb(57, 10, 133);
        width: 75%;
        height: 1.5rem;
        color: white;
        font: 1rem sans-serif;
        text-align: center;
    }